## rdtmanager rdtmanager — Accepts raw RTP and RTCP packets and sends them forward |

## Properties

guint | latency | Read / Write

## Signals

void | clear-pt-map | Run Last
void | on-bye-ssrc | Run Last
void | on-bye-timeout | Run Last
void | on-timeout | Run Last
GstCaps* | request-pt-map | Run Last
void | on-npt-stop | Run Last

## Types and Values

struct | GstRDTManager

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRDTManager

## Description

A simple RTP session manager used internally by rtspsrc.

## Synopsis

### Element Information

plugin | realmedia
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Parser/Network

### Element Pads

name | recv_rtcp_sink_%u
direction | sink
presence | request
details | application/x-rtcp

name | recv_rtp_sink_%u
direction | sink
presence | request
details | application/x-rdt

name | recv_rtp_src_%u_%u_%u
direction | source
presence | sometimes
details | application/x-rdt

name | rtcp_src_%u
direction | source
presence | request
details | application/x-rtcp

## Functions

## Types and Values

### struct GstRDTManager

    struct GstRDTManager;

## Property Details

### The `“latency”` property

      “latency”                  guint

Amount of ms to buffer.

Flags: Read / Write

Default value: 200

## Signal Details

### The `“clear-pt-map”` signal

    void
    user_function (GstRDTManager *rtpbin,
                   gpointer       user_data)

Clear all previously cached pt-mapping obtained with GstRDTManager::request-pt-map.

#### Parameters

rtpbin | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“on-bye-ssrc”` signal

    void
    user_function (GstRDTManager *rtpbin,
                   guint          session,
                   guint          ssrc,
                   gpointer       user_data)

Notify of an SSRC that became inactive because of a BYE packet.

#### Parameters

rtpbin | the object which received the signal |
session | the session |
ssrc | the SSRC |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“on-bye-timeout”` signal

    void
    user_function (GstRDTManager *rtpbin,
                   guint          session,
                   guint          ssrc,
                   gpointer       user_data)

Notify of an SSRC that has timed out because of BYE

#### Parameters

rtpbin | the object which received the signal |
session | the session |
ssrc | the SSRC |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“on-timeout”` signal

    void
    user_function (GstRDTManager *rtpbin,
                   guint          session,
                   guint          ssrc,
                   gpointer       user_data)

Notify of an SSRC that has timed out

#### Parameters

rtpbin | the object which received the signal |
session | the session |
ssrc | the SSRC |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“request-pt-map”` signal

    GstCaps*
    user_function (GstRDTManager *rdtmanager,
                   guint          session,
                   guint          pt,
                   gpointer       user_data)

Request the payload type as GstCaps for `pt` in `session` .

#### Parameters

rdtmanager | the object which received the signal |
session | the session |
pt | the pt |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“on-npt-stop”` signal

    void
    user_function (GstRDTManager *rtpbin,
                   guint          session,
                   guint          ssrc,
                   gpointer       user_data)

Notify that SSRC sender has sent data up to the configured NPT stop time.

#### Parameters

rtpbin | the object which received the signal |
session | the session |
ssrc | the SSRC |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

## See Also

GstRtspSrc